Changelog

Loading changelog...
VersionRelease DateTypeDescription
1.0.932024-03-21ChangedAllowed characters for the field recId are a-zA-Z0-9.,_-. The fieldrecId is limited to 512 characters
1.0.942024-04-19FixedFixed a bug with circle parameter. If invalid values where passed, the job crashed. This has been fixed. A related error message is written to error file and the job continues.
1.0.942024-04-19AddedAdd support for showMapReferences parameter. See Geocoding and Search API Reference for details
1.1.02024-06-06AddedSupports new estimatedPointAddress flag for point addresses in GS7 response. See API reference for details.
1.1.02024-06-06OtherNow status of service is available on the Platform Status Page
1.10.02024-10-25AddedAdded support for CmId and Side in MapReference Links
1.11.02024-11-04AddedAdded support for postalCodeMode parameter in Forward Geocoder
1.12.02024-11-14OtherInternal improvements and optimizations.
1.13.02024-12-05ChangedDelete of jobs (DELETE /batch/jobs) requires parameter status now. status=any has the same behavior as without status property before - delete all jobs. This should help avoid deleting all jobs accidentally, e.g. due to a typo.
1.14.02024-12-12OtherInternal improvements and optimizations.
1.15.02024-12-19OtherInternal improvements and optimizations.
1.16.02025-01-17AddedAdd support for addressNamesMode parameter for geocode service.
1.16.02025-01-17FixedFixed resources consumption in case of premature close of a connection by client.
1.16.02025-01-17OtherInternal improvements and optimizations.
1.16.02025-01-17ChangedTrim input fields before usage
1.17.02025-02-06DocumentationUpdate links to new documentation pages at https://here.com/docs
1.17.02025-02-06OtherImprove internal cleanup.
1.17.02025-02-06FixedFixed update of some counters during processing.
1.18.02025-02-13DocumentationIMPORTANT! Note deprecation notice about Alternative property values.
1.18.02025-02-13PerformanceHandling of failing jobs improved.
1.18.32025-03-13FixedAn issue has been fixed with at parameter for Reverse Geocoder jobs. The coordinates have not been processed right.
1.2.02024-06-25PerformanceExecution of records within a job is dynamic now. This should increase the throughput in most cases and reduce the overall duration.
1.22.02025-03-20PerformanceInternal re-architecture of job processing. This will increase over all throughput and speed up job processing. Especially small jobs have a higher chance of being processed faster.
1.23.02025-03-27PerformanceUtilize more regions Geocoding & Search is deployed in. This should further increase throughput and reduce job duration.
1.23.12025-04-23FixedFixed an error that occurs if a line has not all columns, and the index of recId column is larger than the number of columns in that line.
1.24.02025-04-28OtherInternal improvements and optimizations around monitoring, exception handling and clean up.
1.25.02025-05-26PerformanceFurther throughput improvement by utilizing GS7 regional endpoints.
1.26.02025-06-05FixedFix for the on-premise hosted version.
1.27.02025-07-03FixedFix rare occurrence of invalid job records being counted wrong during job processing.
1.27.02025-07-03FixedProperly handle 403 responses from GS7 to prevent jobs from cycling.
1.28.12025-08-07OtherInternal change to enhance security and monitoring
1.28.12025-08-07AddedSupport new /v7 base URL to match with major version. Note: for now, the /v1 path will remain active but it is strongly recommended to migrate to v7 URLs at earliest convenience as /v1 will be decommissioned at some point in the future.
1.3.02024-07-05FixedAccount for changes in GS7 API responses to fix showMapReferences=links.
1.3.02024-07-05AddedSupport additional values in mapReferences section of GS7 responses: adminIds, cmVersion
1.3.02024-07-05AddedSupport new parameter "showNavAttributes" with values "functionalClass" and "access". Support additional values in navAttributes section of GS7 responses: functionalClass and access.
1.4.02024-08-07FixedDelete endpoint for multiple jobs now works as expected even for a very large number of jobs.
1.5.02024-08-28Added(ALPHA) Users can request partial results when selecting jsonl as outputType. Leave outputFormat empty to receive full GS7 responses.
1.8.02024-09-19FixedIf a Content-Encoding header was set, which did not match the actual content, the service returned a 500 error. This has changed and a correct 400 with related message is returned.
1.8.02024-09-19PerformanceDepending on overall utilization of OLS Batch service instances we dynamically allow more than two active jobs per user. The user just submits their jobs as usual, the backend will decide if more than two can be executed in parallel.
1.9.02024-09-30OtherInternal improvements and optimizations.
7.30.02025-09-18FixedDocumentation had section about default values as query parameter. The described behavior was never implemented. See Input Data - Default values about how this can be done. The erroneous sections are kept for reference at Default values as query parameter
7.30.02025-09-18DocumentationIMPORTANT! Note update of deprecation notice about Alternative property values. The list of properties got split into two stages. Stage 1 will be removed from January 2026 on. Stage 2 is not defined yet.
7.30.02025-09-18DocumentationThe documentation went through a full review. A lot has been added or moved around. Overall the quality of the user guide improved.
7.30.02025-09-18OtherInternal improvements and optimizations.
7.30.02025-09-18ChangedAs announced the job lifecycle has been changed with regards to stopping a job. See Job lifecycle for details.
7.30.02025-09-18OtherThe Notification feature moved from ALAPH to BETA level.
7.30.02025-09-18SecurityUpdate of libraries due to security vulnerability.
7.30.02025-09-18OtherThe major software version moved to 7 (from 1) to match the product verions. There are no breaking changes all major versions 2-6 don't exist.
7.30.22025-09-19FixedInternal fix around cleanup of jobs. No customer impact.
7.31.02025-11-20DocumentationAdd note about rate limits to Limits and performance page.
7.31.02025-11-20FixedDo not count jobs in stopped state to queue length limit. Since lifecycle change stopped jobs cannot be started again. So they don't count for queue length.
7.31.02025-11-20AddedAdd some missing mappings and related tests.
7.32.02025-11-20FixedFix error message related to malformed multipart upload. The service does not support multipart uploads. A malformed multipart request caused a 500 response. This is handled correctly now and a 415 "Unsupported Media Type" is returned.
7.32.02025-11-20DocumentationAdd lookup job example. See Lookup
7.32.02025-11-20SecurityUpdate of libraries due to security vulnerability.
7.33.02025-12-04ChangedThe notification mechanism has been updated from synchronous sending within the job to asynchronous processing after job completion. This change improves the robustness of notification handling and decouples notification processing from the main job execution.
7.34.02026-01-20RemovedThe Batch API accepted a wide range of alternative names for output columns, which were deprecated in release 7.30.0 and grouped into two stages. The ones in Stage 1 have now been removed.
7.35.02026-02-12PerformanceIndividual Service throughput has been optimized. This improvement is expected to significantly reduce the time taken for job execution, particularly for larger workloads, and enhance overall system efficiency.
7.36.02026-03-20DeprecatedIMPORTANT! Note update of deprecation notice about Alternative property values. Stage 2 is announced for removal starting October 2026.
7.36.02026-03-20FixedFix a race condition which caused inconsistent counters in rare cases.
7.36.02026-03-20AddedAdd support for GS7 API 7.149. Mapping for referencesCategoriesId added (lookup only)
7.37.02026-05-18OtherInternal logging improvement.
7.38.02026-07-16SecurityUpdated dependencies to address security vulnerabilities.
7.40.02026-08-13OtherFixed error in the internal reporting module
7.40.02026-08-13DocumentationAdd Swagger UI cache und parameter update functionality.
7.40.22026-09-18DocumentationClarify and improve the deprecation documentation. Changes include: - Add "Understanding the Deprecation Table" section explaining how to read the table structure, clarifying that blank cells inherit the valid property name from the row above and that multiple different deprecated names can map to the same valid property (not just formatting variations) - Fix example in output-data.md to show correct outputColumns parameter (recId|seqNumber|seqLength|position|addressLabel|title) that matches the actual CSV output example, making documentation consistent
7.41.02026-09-21SecurityUpdate dependencies to address security vulnerabilities.
7.43.02026-10-01PerformanceIncreased throughput of the job processing by introducing new worker region.
7.43.02026-10-01SecuritySeveral improvements to internal logging and validation for notification.
7.44.02026-10-09FixedImproved handling of UTF-16 encoded job payload.
7.45.02026-10-22AddedAdd support for PostalCity property in Address for output mapping.
7.45.02026-10-22AddedAdd support for addressNamesVariant as input param.

Did this page help you?